## Script (Python) "getFormattedStudentEntry"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=brain
##title=
##
# $Id: getFormattedStudentEntry.py 5200 2010-05-20 10:08:17Z henrik $
"""
return a formatted StudentCatalog Entry
"""
#from Products.zdb import set_trace;set_trace()
fields = context.students_catalog.schema()
d = {}
for f in fields:
    d[f] = getattr(brain,f,'')
    if not d[f]:
        d[f] = ''
    if f == "sex":
        if d[f]:
            d[f] = 'F'
        else:
            d[f] = 'M' 
    elif f == "name":
        d[f] = d[f].strip()
    #elif f == "date_of_birth":
    #    d[f] = str(d[f])        

if not d['email']:
    students_object = context.portal_url.getPortalObject().campus.students
    student = getattr(students_object, brain.id)
    try:
        app_obj = student.application.getContent()
        d['email'] = getattr(app_obj, 'app_email', '')
    except: 
        d['email'] = 'not accessible'
return d            
